Bug 972328 - ibus shouldn't require ibus-setup
ibus shouldn't require ibus-setup
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ibus (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: fujiwara
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: F19-accepted/F19FinalFreezeException 958426
  Show dependency treegraph
 
Reported: 2013-06-08 10:13 EDT by Matthias Clasen
Modified: 2013-06-20 01:59 EDT (History)
4 users (show)

See Also:
Fixed In Version: ibus-1.5.2-7.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-20 01:59:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2013-06-08 10:13:06 EDT
We don't need it on the desktop spin, and would like to get rid of it.
This dependency reappeared after f19 beta, and it contributes to our live image size problem. See bug 958426
Comment 1 Fedora Update System 2013-06-11 04:09:59 EDT
ibus-1.5.2-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/FEDORA-2013-10084/ibus-1.5.2-5.fc19
Comment 2 Fedora Update System 2013-06-11 13:56:52 EDT
Package ibus-1.5.2-5.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ibus-1.5.2-5.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-10084/ibus-1.5.2-5.fc19
then log in and leave karma (feedback).
Comment 3 Jens Petersen 2013-06-12 22:07:57 EDT
Matthias, after this update it should be possible to exclude
ibus-setup and ibus-panel from the desktop live ks file.
ibus-pygtk2 will no longer be installed by default.
(Note that the required changes have not been made yet to
@input-methods but feel free to go ahead with the desktop ks file
changes or I can do that.)
Comment 4 Fedora Update System 2013-06-13 02:44:10 EDT
ibus-1.5.2-5.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Jens Petersen 2013-06-17 01:44:06 EDT
Unfortunately (see bug 974735) it seems this change breaks ibus
on upgrades from F18 on other desktops which is not good.

I think we can keep the ibus-pygtk2 changes but ibus
need to continue to requires ibus-panel and ibus-setup.

What we really want might be to rename the ibus base package
to ibus-core and then have gnome live just require ibus-core
while @input-methods would continue to pull in a ibus meta-package
which would require ibus-core, ibus-panel, etc.
Comment 6 Fedora Update System 2013-06-17 04:19:36 EDT
ibus-1.5.2-7.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ibus-1.5.2-7.fc19
Comment 7 Fedora Update System 2013-06-17 13:01:33 EDT
Package ibus-1.5.2-7.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ibus-1.5.2-7.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-11038/ibus-1.5.2-7.fc19
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2013-06-20 01:59:57 EDT
ibus-1.5.2-7.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.